using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WMS_project
{
    public partial class inputDialog : Form
    {
        public string ItemNumber { get { return itemNumberTextBox.Text; } }
        public string OrderQuantity { get { return orderQuantityTextBox.Text; } }
        public string ShipQuantity { get { return shipQuantityTextBox.Text; } }
        public string Description { get { return descriptionRichTextBox.Text; } }

        private QuoteInvoiceForms parentForm;

        public inputDialog(QuoteInvoiceForms form)
        {
            InitializeComponent();
            parentForm = form;
        }
        private void addItem_Click(object sender, EventArgs e)
        {
            parentForm.UpdateListView(ItemNumber, OrderQuantity, ShipQuantity, Description);

            this.Close();
        }

        private void inputDialog_Load(object sender, EventArgs e)
        {

        }
    }
}
